goocanvas.Group
Prev | PyGooCanvas Standard Canvas Items Reference | Next

## goocanvas.Group

goocanvas.Group — A group of items.

## Synopsis

    class goocanvas.Group(goocanvas.ItemSimple):
        goocanvas.Group(properties=None)

## Ancestry

    +-- gobject.GObject
    	+-- goocanvas.ItemSimple
    		+-- goocanvas.Group

## goocanvas.Group Properties

"height" | Read/Write | The height of the group, or -1 to use the default height. Default value: -1.
"width" | Read/Write | The width of the group, or -1 to use the default width. Default value: -1.
"x" | Read/Write | The x coordinate of the group. Default value: 0.
"y" | Read/Write | The y coordinate of the group. Default value: 0.

## Implemented Interfaces

`goocanvas.Group` implements `goocanvas.Item`

## Description

`goocanvas.Group` represents a group of items. Groups can be nested to any depth, to create a hierarchy of items. Items are ordered within each group, with later items being displayed above earlier items. It is a subclass of `goocanvas.ItemSimple` and so inherits all of the style properties such as "stroke-color", "fill-color" and "line-width". Setting a style property on a `goocanvas.Group` will affect all children of the `goocanvas.Group` (unless the children override the property setting). It also implements the `goocanvas.Item` interface, so you can use the `goocanvas.Item` functions such as `goocanvas.Item.raise_()` and `goocanvas.Item.rotate()`, and the properties such as "visibility" and "pointer-events".

## Constructor

        goocanvas.Group(properties=None)

`properties`: | A comma separated properties as **kwargs.
Returns: | A new `goocanvas.Group`

Creates a new canvas group item.

Prev | Up | Next
goocanvas.Image | Home | goocanvas.Path